<?php

namespace App\Controller;

use DateTimeImmutable;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\JsonResponse;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Attribute\Route;
use function App\Repository\howDaysToNy;

class HowDaysToNYController extends AbstractController
{
    /**
     * Контролер рассчитывает кол-во дней до нового года используюя howDaysToNy
     * @param Request $request
     * @return Response
     * @throws \Exception
     */
    #[Route('/howdaystony', name: 'app_how_days_to_n_y')]
    public function index(Request $request): Response
    {
        $date = $request->toArray()['date'];

        $return = howDaysToNy(new DateTimeImmutable($date, null));

        return new JsonResponse($return, Response::HTTP_OK);
    }
}
